;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the gw-hacks-el package

(cond
 ((not (file-exists-p "/usr/share/emacs/site-lisp/gw-hacks-el"))
  (message "Package gw-hacks-el removed but not purged.  Skipping setup."))
 ((not (file-exists-p (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
                              "/site-lisp/gw-hacks-el/gw-hacks.elc")))
  (message "Package gw-hacks-el not fully installed.  Skipping setup."))
 (t
  (debian-pkg-add-load-path-item
   (concat "/usr/share/"
           (symbol-name debian-emacs-flavor)
           "/site-lisp/gw-hacks-el"))
  
  (require 'gw-hacks)
  (basic-setup-by-gw)
  (key-definitions-by-gw)
))
